Get logs for a deployment
GET
https://api.vercel.com/v1/projects/{projectId}/deployments/{deploymentId}/runtime-logsReturns a stream of logs for a given deployment.
https://api.vercel.com/v1/projects/{projectId}/deployments/{deploymentId}/runtime-logs
const response = await fetch('https://api.vercel.com/v1/projects/projectId/deployments/deploymentId/runtime-logs?teamId=string&slug=string', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
{ "domain": "string", "level": "debug", "message": "string", "messageTruncated": "false", "requestMethod": "string", "requestPath": "string", "responseStatusCode": "123", "rowId": "example_id", "source": "delimiter", "timestampInMs": "123"}AuthorizationbearerToken
Default authentication mechanism
400One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error